## ipxe 1.21.1+git-20250602.5b3ebf8b+dfsg

=== debian/changelog ===
ipxe (1.21.1+git-20250602.5b3ebf8b+dfsg-1ubuntu3) questing; urgency=medium

  * d/t/control: skip-not-installable rom-* tests (LP: #1677874)

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 29 Sep 2025 11:45:57 +0200

ipxe (1.21.1+git-20250602.5b3ebf8b+dfsg-1ubuntu2) questing; urgency=medium

  * d/p/respect-CPPFLAGS-CFLAGS-LDFLAGS-presets: removed due to upstream
    request (LP: #2121439)

 -- Jonas Jelten <jonas.jelten@canonical.com>  Wed, 10 Sep 2025 12:10:47 +0200

ipxe (1.21.1+git-20250602.5b3ebf8b+dfsg-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #1996530). Changed version from debian's
    1.21.1+git20250602.5b3ebf8b+dfsg-1 by including '+git-', which is needed
    to be newer than Ubuntu's latest 1.21.1+git-20220113.fbbdc3926-0ubuntu2
    and newer than Debian's 1.21.1+git20250602.5b3ebf8b+dfsg-1 (using '+git')

    Remaining changes:
    - d/util/check-rom-sizes, d/rules: pad size of generated roms to 512KiB
      to avoid accidentally breaking KVM live migration on updates/fixes.
      debian managed to reduce the size back to 256KiB in
      1.21.1+git20250317.42a29d56+dfsg-1
      but to be future-proof, let's reserve this little extra space.
      background: qemu migrations apparently reserve memory from the target
      system's roms, while moving the data from the source emulator.
  * Drop changes:
    - Fix FTBFS with new binutils
      + d/p/0003-Inhibit-linker-warnings-about-an-implied-executable-.patch
      [upstream in e17568ad0642490143d0c6b154c874b9b9e285bf]
      + d/p/0004-Fix-building-with-newer-binutils.patch
      [upstream in 6ca597eee9f95b846a3c2dc1231e63cfc02272c1]
    - d/p/handle-dhcp-nack.patch: Handle DHCP NAK and send a re-discover.
      (LP #1707999)
      [upstream in 1192edf394aaebde666c6aafda1c8b782b08a845]
    - d/p/build-Be-explicit-about-fcommon-compiler-directive.patch
      [upstream in 1.21.0 f982a712979619dbae2c6e0d741757e2ce94be11]
    - d/p/lp-1882671-efi-Raise-TPL-during-driver-entry-point.patch
      (LP #1882671)
      [upstream in 1.21.0 2ae5d4338661b65c63eb5cb1a96e5b803fe7d620]
    - split grub integration from ipxe->grub-ipxe
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-3]
    - d/grub-ipxe.install, d/control, d/rules: Build ipxe-arm64.efi
      (LP #1890230)
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-3]
    - d/rules: build ROMs for QEMU with CONFIG=qemu
      (LP #1789319)
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-2]
    - d/tree/ipxe/etc/grub.d/20_ipxe: Make grub-ipxe work under UEFI
      (LP #1811496)
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-2]
    - d/rules: don't clean explicitly in between builds
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-2]
    - d/util/geniso: fix rounding to unbreak iso creation
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-1]
    - d/copyright updates (LP #1747071)
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-1]
    - d/p/0005-strip-802.1Q-VLAN-0-priority-tags.patch
      [included in 1.21.1+git20220113.fbbdc3926+dfsg-1]
  * New changes:
    - d/watch: use format $version+git-$date-$hash
      to ensure version continuity, since debian switched to
      $version+git$date-$hash which is lower than -
    - d/p/debian/patches/respect-CPPFLAGS-CFLAGS-LDFLAGS-presets.patch:
      fix HOST_CFLAGS recursion to avoid make error
      "Recursive variable `HOST_CFLAGS' references itself"
    - d/rules: don't build with lto (as recommended by upstream)
      https://github.com/ipxe/ipxe/issues/1515

 -- Jonas Jelten <jonas.jelten@canonical.com>  Wed, 13 Aug 2025 12:18:36 +0200
