=== debian/control ===
Source: ipxe
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Miao Wang <shankerwangmiao@gmail.com>
Uploaders: Shengqi Chen <harry@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    dh-exec,
    liblzma-dev:native,
    xxd,
    zlib1g-dev:native,
    expect <!nocheck>,
Build-Depends-Indep:
    dosfstools:native,
    gcc-x86-64-linux-gnu,
    gcc-aarch64-linux-gnu,
    gcc-loongarch64-linux-gnu,
    gcc-riscv64-linux-gnu,
    isolinux,
    mtools,
    syslinux-common,
    xorriso,
    seabios <!nocheck>,
    ovmf <!nocheck>,
    qemu-efi-aarch64 <!nocheck>,
    qemu-efi-riscv64 <!nocheck>,
    qemu-efi-loongarch64 <!nocheck>,
    qemu-system-i386 <!nocheck>,
    qemu-system-amd64 <!nocheck>,
    qemu-system-arm64 <!nocheck>,
    qemu-system-riscv64 <!nocheck>,
    qemu-system-loong64 <!nocheck>,
Build-Depends-Arch:
    seabios [i386 amd64] <!nocheck>,
    ovmf [amd64] <!nocheck>,
    qemu-system-i386 [i386] <!nocheck>,
    qemu-system-amd64 [amd64] <!nocheck>,
    qemu-efi-aarch64 [arm64] <!nocheck>,
    qemu-system-arm64 [arm64] <!nocheck>,
    qemu-efi-riscv64 [riscv64] <!nocheck>,
    qemu-system-riscv64 [riscv64] <!nocheck>,
    qemu-efi-loongarch64 [loong64] <!nocheck>,
    qemu-system-loong64 [loong64] <!nocheck>,
    dosfstools:native <!nocheck>,
    mtools <!nocheck>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://ipxe.org/
Vcs-Git: https://salsa.debian.org/debian/ipxe.git
Vcs-Browser: https://salsa.debian.org/debian/ipxe

Package: ipxe
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Recommends: grub-ipxe
Description: PXE boot firmware
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for all supported network cards in one
 binary and several bootable formats.

Package: ipxe-qemu
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: PXE boot firmware - ROM images for qemu
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 It is possible to use iPXE as a PXE ROM in the network card or to
 chainload it from other boot methods.
 .
 This package provides boot code for the qemu emulated network cards
 as boot ROMs.


Package: grub-ipxe
Architecture: i386 amd64 arm64 riscv64 loong64
Suggests: grub2-common
Depends: ${misc:Depends}
Breaks: ipxe (<< 1.21.1+git20220113.fbbdc3926+dfsg-3)
Replaces: ipxe (<< 1.21.1+git20220113.fbbdc3926+dfsg-3)
Description: Network booting using iPXE
 iPXE is network boot firmware.  It supports a variety of network cards,
 including some wireless cards, and variety of network protocols (traditional
 DHCP, BOOTP and TFTP and also HTTP, iSCSI, SAN via FCoE and Infiniband). It
 supports scripting.
 .
 This package contains bootable iPXE images and adds a menu entry to grub2 for
 network booting using iPXE.
