=== debian/tests/control ===
Test-Command: ./debian/tests/ipxe-iso i386 cd
Depends: ipxe, expect, xxd, qemu-system-amd64 [amd64 arm64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64], qemu-system-i386 [armel armhf i386], seabios,
Features: test-name=iso-i386-cd
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64,armel,armhf,i386

Test-Command: ./debian/tests/ipxe-iso i386 hd
Depends: ipxe, expect, xxd, qemu-system-amd64 [amd64 arm64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64], qemu-system-i386 [armel armhf i386], seabios,
Features: test-name=iso-i386-hd
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64,armel,armhf,i386

Test-Command: ./debian/tests/ipxe-iso x86_64 cd
Depends: ipxe, expect, xxd, qemu-system-amd64, ovmf,
Features: test-name=iso-x86_64-cd
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64

Test-Command: ./debian/tests/ipxe-iso x86_64 hd
Depends: ipxe, expect, xxd, qemu-system-amd64, ovmf,
Features: test-name=iso-x86_64-hd
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64

Test-Command: ./debian/tests/ipxe-iso arm64 cd
Depends: ipxe, expect, xxd, qemu-system-arm64, qemu-efi-aarch64,
Features: test-name=iso-arm64-cd
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64

Test-Command: ./debian/tests/ipxe-iso arm64 hd
Depends: ipxe, expect, xxd, qemu-system-arm64, qemu-efi-aarch64,
Features: test-name=iso-arm64-hd
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64

Test-Command: ./debian/tests/ipxe-iso riscv64 cd
Depends: ipxe, expect, xxd, qemu-system-riscv64, qemu-efi-riscv64,
Features: test-name=iso-riscv64-cd
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64

Test-Command: ./debian/tests/ipxe-iso riscv64 hd
Depends: ipxe, expect, xxd, qemu-system-riscv64, qemu-efi-riscv64,
Features: test-name=iso-riscv64-hd
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64

Test-Command: ./debian/tests/ipxe-iso loong64 cd
Depends: ipxe, expect, xxd, qemu-system-loong64, qemu-efi-loongarch64,
Features: test-name=iso-loong64-cd
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64

Test-Command: ./debian/tests/ipxe-iso loong64 hd
Depends: ipxe, expect, xxd, qemu-system-loong64, qemu-efi-loongarch64,
Features: test-name=iso-loong64-hd
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64

Test-Command: ./debian/tests/ipxe-rom i386 e1000
Depends: ipxe-qemu, expect, xxd, qemu-system-amd64 [amd64 arm64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64], qemu-system-i386 [armel armhf i386], seabios, debian-installer-13-netboot-amd64,
Features: test-name=rom-i386-e1000
Restrictions: skip-not-installable
Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64,armel,armhf,i386

Test-Command: ./debian/tests/ipxe-rom i386 e1000e
