=== debian/watch ===
# +pre should be removed to be in sync with debian's versions
# once a newer upstream than 1.21.1 was released.
# we have to add +pre to be newer than ubuntu's latest release named
# 1.21.1+git-$date
# and newer than debian's latest release named
# 1.21.1+git$date
version=4
opts=\
	mode=git,\
	gitmode=full,\
	pretty=1.21.1+git-%cd.%h,\
	repacksuffix=+dfsg,\
	dversionmangle=s/\+dfsg\d*// \
https://github.com/ipxe/ipxe.git \
HEAD
