## ipxe 1.21.1+git-20250829.969ce2c55+dfsg

=== debian/changelog ===
ipxe (1.21.1+git-20250829.969ce2c55+dfsg-1) unstable; urgency=medium

  [ Miao Wang ]
  * d/watch: change upstream versioning scheme (Closes: #1112218).
  * d/copyright: ignore .github/.
  * New upstream version 1.21.1+git-20250829.969ce2c55+dfsg.
  * d/control: remove ipxe Rec: grub-ipxe.
  * d/p: refresh patches.
  * d/ci: remove hacks.

  [ Shengqi Chen ]
  * d/watch: switch to uscan version 5.

 -- Shengqi Chen <harry@debian.org>  Wed, 17 Sep 2025 17:02:14 +0800
