=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ipxe
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Miao Wang <shankerwangmiao@gmail.com>
+Maintainer: Miao Wang <shankerwangmiao@gmail.com>
 Uploaders: Shengqi Chen <harry@debian.org>
 Build-Depends:
     debhelper-compat (= 13),
@@ -54,7 +53,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends},
-Recommends: grub-ipxe
 Description: PXE boot firmware
  iPXE is network boot firmware.  It supports a variety of network cards,
  including some wireless cards, and variety of network protocols (traditional
