=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
@@ -98,7 +98,7 @@
 done
 src/util/catrom.pl $^ > $@
 @echo "Size before padding: $$(stat -c %s $@)"
-src/util/padimg.pl --blksize=524288 --byte=0xff --verbose $@
+src/util/padimg.pl --blksize=262144 --byte=0xff --verbose $@
 endef
 
 src/bin-combined/%.efirom: src/bin-i386-pcbios-rom/%.rom src/bin-x86_64-efi-rom/%.efirom
