=== debian/tests/control ===
--- 
+++ 
@@ -51,7 +51,6 @@
 Test-Command: ./debian/tests/ipxe-rom i386 e1000
 Depends: ipxe-qemu, expect, xxd, qemu-system-amd64 [amd64 arm64 loong64 mips64el ppc64 ppc64el riscv64 s390x sparc64], qemu-system-i386 [armel armhf i386], seabios, debian-installer-13-netboot-amd64,
 Features: test-name=rom-i386-e1000
-Restrictions: skip-not-installable
 Architecture: amd64,arm64,loong64,mips64el,ppc64,ppc64el,riscv64,s390x,sparc64,armel,armhf,i386
 
 Test-Command: ./debian/tests/ipxe-rom i386 e1000e
