=== debian/watch ===
Version: 5
Source: https://github.com/ipxe/ipxe.git
Mode: git
Matching-Pattern: HEAD
Pretty: 1.21.1+git-%cd.%h
RepackSuffix: +dfsg
