## ipxe 20110330-1drbl

=== debian/changelog ===
ipxe (20110330-1drbl) unstable; urgency=low

  * New upstream ipxe from git repository on 20110330.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 30 Mar 2011 15:18:12 +0800
