=== debian/changelog ===
ipxe (20110509-1drbl) unstable; urgency=low

  * New upstream ipxe from git repository on 20110509.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 09 May 2011 20:59:25 +0800
