=== debian/control ===
Source: ipxe
Section: admin
Priority: optional
Maintainer: Steven Shiau <steven@nchc.org.tw>
Build-Depends: debhelper (>> 4.0.0), cdbs, genisoimage, mtools, syslinux, libc6-dev-i386 [amd64]
Standards-Version: 3.7.3

Package: ipxe
Architecture: any
Recommends: mknbi
Description: Open source network boot firmware
 iPXE is the leading open source network boot firmware. It provides a full PXE implementation enhanced with additional features such as:
     boot from a web server via HTTP
     boot from an iSCSI SAN
     boot from a Fibre Channel SAN via FCoE
     boot from an AoE SAN
     boot from a wireless network
     boot from a wide-area network
     boot from an Infiniband network
     control the boot process with a script
 You can use iPXE to replace the existing PXE ROM on your network card, or you can chainload into iPXE to obtain the features of iPXE without the hassle of reflashing.
 iPXE is free, open-source software licensed under the GNU GPL (with some portions under GPL-compatible licences), and is included in products from several network card manufacturers and OEMs. 
 http://ipxe.org
