=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

IPXE_MEDIA=dsk iso usb lkrn pxe
DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) make -j 4 -C src/
DEB_MAKE_BUILD_TARGET =  $(patsubst %,bin/ipxe.%,$(IPXE_MEDIA))
DEB_MAKE_INSTALL_TARGET = 

install/ipxe:: build/ipxe
	install -m755 -d debian/$(cdbs_curpkg)/usr/share/ipxe
	for i in dsk iso usb lkrn pxe; do \
		install -m644 src/bin/ipxe.$$i debian/$(cdbs_curpkg)/usr/share/ipxe/; \
	done
