## ipxe 20110910-1drbl

=== debian/changelog ===
ipxe (20110910-1drbl) unstable; urgency=low

  * New upstream ipxe from git repository on 20110910.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 10 Sep 2011 22:08:40 +0800

ipxe (20110811-1drbl) unstable; urgency=low

  * New upstream ipxe from git repository on 20110811.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 11 Aug 2011 12:01:14 +0800
