## ipxe 20111028-1drbl

=== debian/changelog ===
ipxe (20111028-1drbl) unstable; urgency=low

  * New upstream ipxe from git repository on 20111028.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 28 Oct 2011 09:04:52 +0800
