## ipxe 20111212-1drbl

=== debian/changelog ===
ipxe (20111212-1drbl) unstable; urgency=low

  * New upstream from git repository on Nov/12/2011.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 12 Dec 2011 11:45:56 +0800
