## ipxe 20120123-1drbl

=== debian/changelog ===
ipxe (20120123-1drbl) unstable; urgency=low

  * New upstream from git repository on Jan/23/2012.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 23 Jan 2012 22:01:37 +0800
