=== debian/changelog ===
ipxe (20120319-1drbl) unstable; urgency=low

  * New upstream from git repository on Mar/19/2012.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 19 Mar 2012 10:53:54 +0800
