## ipxe 20121012-drbl1

=== src/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 CFLAGS		:=
 ASFLAGS		:=
 LDFLAGS		:=
+HOST_CFLAGS	:=
 MAKEDEPS	:= Makefile
 
 ###############################################################################
@@ -164,13 +165,17 @@
 EXTRAVERSION	= +
 MM_VERSION	= $(VERSION_MAJOR).$(VERSION_MINOR)
 VERSION		= $(MM_VERSION).$(VERSION_PATCH)$(EXTRAVERSION)
+GITVERSION := $(shell git describe --always --abbrev=1 --match "" 2>/dev/null)
+ifneq ($(GITVERSION),)
+VERSION		+= ($(GITVERSION))
+endif
 CFLAGS		+= -DVERSION_MAJOR=$(VERSION_MAJOR) \
 		   -DVERSION_MINOR=$(VERSION_MINOR) \
 		   -DVERSION_PATCH=$(VERSION_PATCH) \
-		   -DVERSION=\"$(VERSION)\"
+		   -DVERSION="\"$(VERSION)\""
 IDENT		= '$(@F) $(VERSION) (GPL) ipxe.org'
 version :
-	@$(ECHO) $(VERSION)
+	@$(ECHO) "$(VERSION)"
 
 ###############################################################################
 #
