=== debian/changelog ===
ipxe (20121012-drbl1) unstable; urgency=low

  * New upstream from git repository on Oct/12/2012.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 12 Oct 2012 19:34:01 +0800

ipxe (20120726-1drbl) unstable; urgency=low

  * New upstream from git repository on Jul/26/2012.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 26 Jul 2012 22:36:14 +0800

ipxe (20120618-1drbl) unstable; urgency=low

  * New upstream from git repository on Jun/18/2012.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 Jun 2012 21:51:50 +0800
