=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.7.3
 
 Package: ipxe
-Architecture: any
+Architecture: all
 Recommends: mknbi
 Description: Open source network boot firmware
  iPXE is the leading open source network boot firmware. It provides a full PXE implementation enhanced with additional features such as:
