## ipxe 20121124-drbl1

=== debian/changelog ===
ipxe (20121124-drbl1) unstable; urgency=low

  * New upstream from git repository on Nov/24/2012.

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 24 Nov 2012 08:11:56 +0800
