=== debian/changelog ===
ipxe (20130424-drbl1) unstable; urgency=low

  * New upstream from git repository on Apr/24/2013.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 24 Apr 2013 21:35:22 +0800

ipxe (20130219-drbl1) unstable; urgency=low

  * New upstream from git repository on Feb/19/2013.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 19 Feb 2013 20:52:10 +0800

ipxe (20121220-drbl1) unstable; urgency=low

  * New upstream from git repository on Dec/20/2012.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 20 Dec 2012 15:15:00 +0800
