## ipxe 20150114-drbl1

=== debian/changelog ===
ipxe (20150114-drbl1) unstable; urgency=low

  * New upstream from git repository on Jan/14/2015.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 14 Jan 2015 16:43:07 +0800

ipxe (20140905-drbl1) unstable; urgency=low

  * New upstream from git repository on Sep/05/2014.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 05 Sep 2014 15:06:12 +0800

ipxe (20140910-drbl1) unstable; urgency=low

  * New upstream from git repository on Sep/10/2014.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 10 Sep 2014 08:59:50 +0800

ipxe (20131212-drbl1) unstable; urgency=low

  * New upstream from git repository on Dec/12/2013.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 12 Dec 2013 15:30:23 +0800

ipxe (20131127-drbl1) unstable; urgency=low

  * New upstream from git repository on Nov/27/2013.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 27 Nov 2013 22:02:34 +0800

ipxe (20131008-drbl1) unstable; urgency=low

  * New upstream from git repository on Oct/08/2013.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 08 Oct 2013 08:30:05 +0800
